=== debian/control ===
Source: netlib-java
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 12),
               unzip,
               f2j,
               libjlapack-java,
               javahelper,
               default-jdk,
               junit,
               ant
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/java-team/netlib-java
Vcs-Git: https://salsa.debian.org/java-team/netlib-java.git
Homepage: https://github.com/fommil/netlib-java/

Package: libnetlib-java
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends},
         f2j,
         libjlapack-java
Description: collection of mission-critical software components for linear algebra systems
 Netlib is a collection of mission-critical software components for linear
 algebra systems (i.e. working with vectors or matrices).
 .
 Netlib libraries are written in C, Fortran or optimised assembly code.
 This package provides a Java translation but it does not take advantage of
 optimised system libraries.
