=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant clean generate compile package

get-orig-source:
	debian/get-orig-source

override_jh_installjavadoc:
	jh_installjavadoc dist/javadoc

override_dh_clean:
	rm -f netlib-java.jar
	dh_clean
