=== debian/watch ===
version=4

opts="dversionmangle=s/.*/0.No-Track/;auto,repacksuffix=+dfsg,repack,compression=xz" \
   https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

# https://github.com/fommil/netlib-java/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
